DC_ITERATOR_FREE(3)

NAME
dc_iterator_free - frees an iterator

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/iterator.h>
dc_status_t
dc_iterator_free(dc_iterator_t *iterator);

DESCRIPTION
Frees the iterator iterator. It may be invoked on any iterator type, e.g., one created with dc_descriptor_iterator_new(3).

RETURN VALUES
This returns DC_STATUS_SUCCESS on success (or if iterator is NULL) or other values on failure.

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.